## org.eclipse.datatools.sqltools.sql.util
Class ConsistentOrderHashMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.eclipse.datatools.sqltools.sql.util.ConsistentOrderHashMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class ConsistentOrderHashMap

extends java.util.HashMap

This class is just for keeping the key order when get values.

Author:
  juewu
See Also:
  Serialized Form

Constructor Summary
`ConsistentOrderHashMap()`

Method Summary
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)`
`java.util.Collection` `values()` Get values according to the specific order of keys.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, putAll, remove, size`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### ConsistentOrderHashMap

    public ConsistentOrderHashMap()

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.HashMap`

### values

    public java.util.Collection values()

  Get values according to the specific order of keys.

  Specified by:
    `values` in interface `java.util.Map`
  Overrides:
    `values` in class `java.util.HashMap`